Package org.apache.lucene.util

# Class IntBlockPool.Allocator

java.lang.Object
org.apache.lucene.util.IntBlockPool.Allocator

Direct Known Subclasses:
  `IntBlockPool.DirectAllocator`, `RecyclingIntBlockAllocator`

Enclosing class:
  `IntBlockPool`

public abstract static class IntBlockPool.Allocator extends Object
Abstract class for allocating and freeing int blocks.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`blockSize`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`Allocator(int blockSize)`

## Method Summary

Modifier and Type
Method
Description
`int[]`
`getIntBlock()`
`abstract void`
`recycleIntBlocks(int[][] blocks, int start, int end)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### blockSize

protected final int blockSize

## Constructor Details

### Allocator

protected Allocator(int blockSize)

## Method Details

### recycleIntBlocks

public abstract void recycleIntBlocks(int[][] blocks, int start, int end)

### getIntBlock

public int[] getIntBlock()